# eoFitnessStat< EOT, FitT > Class Template Reference

The fitnesses of a whole population, as a vector. More...

`#include <eoMOFitnessStat.h>`

Inheritance diagram for eoFitnessStat< EOT, FitT >:

List of all members.

## Public Member Functions

| eoFitnessStat (std::string _description="AllFitnesses")
virtual void | operator() (const std::vector< const EOT * > &_popPters)
| The pure virtual function that needs to be implemented by the subclass.

## Detailed Description

### template<class EOT, class FitT = typename EOT::Fitness>
class eoFitnessStat< EOT, FitT >

The fitnesses of a whole population, as a vector.

Definition at line 36 of file eoMOFitnessStat.h.

The documentation for this class was generated from the following file:

- eoMOFitnessStat.h